{
	Init[ ()
	{
		if (Level.RCnt < 6)
		{
			Level.RCnt = toInt(Level.RCnt + 1);

			name = "r" # Level.RCnt;
			SetID( name );
		}

		if( Level.RCnt = 1 )
		{
			Delay( 3, 10 );
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			Level.Spew("   10 - Duck!");
			Level.GetEntity("Captain").CrewDuck(1,0,10);
			Delay(18,11);
			return;
		}

		if( dy=11 )
		{
			Level.Spew("   11 - Duck!");
			Level.GetEntity("Captain").CrewDuck(1,0,12);
			Delay(14,12);
			return;
		}

		if( dy=12 )
		{
			Level.Spew("   12 - Duck!");
			Level.GetEntity("Captain").CrewDuck(1,1,10);
			return;
		}
	}]
}